//	Pickup.cpp - A pickup.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "drawing/Drawer.h"
#include "Pickup.h"

//------------------------------------------------------------------------------
Pickup::Pickup(const TwoInts& pos, const std::wstring& pickupType):
position(pos),
type(pickupType)
{

}

//------------------------------------------------------------------------------
Pickup::~Pickup()
{

}

//------------------------------------------------------------------------------
void Pickup::draw(shared_ptr<Drawer>& d, const ThreeFloats& colour)
{
	d->drawImage(L"Blob",
				 TwoFloats(32.0f+((position.x*64.0f)-24.0f),
						   32.0f+((position.y*64.0f)-24.0f)),
				 0.75f,
				 ThreeFloats(0.0f),
				 0.2f);
	d->drawImage(L"Blob",
				 TwoFloats(32.0f+((position.x*64.0f)-16.0f),
						   32.0f+((position.y*64.0f)-16.0f)),
				 0.5f,
				 colour);
	if(type != L"")
	{
		d->drawImage(type,
					 TwoFloats(32.0f+((position.x*64.0f)-12.0f),
							   32.0f+((position.y*64.0f)-12.0f)),
					 1.0f,
					 ThreeFloats(0.0f),
					 0.33f);
	}
}

//------------------------------------------------------------------------------
void Pickup::setType(const std::wstring& val)
{
	type = val;
}
