//	Pickup.h - A pickup.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef PICKUP_H_
#define PICKUP_H_

#include "ThreeFloats.h"
#include "c0xHeaders.h"
#include "TwoInts.h"

#include <string>

class Drawer;

///	A pickup.
class Pickup
{
  public:
	///	Constructor.
	Pickup(const TwoInts& pos, const std::wstring& pickupType = L"");
	///	Destructor.
	~Pickup();

	///	Draws the pickup.
	void draw(shared_ptr<Drawer>& d, const ThreeFloats& colour);

	///	Sets the pickup's type.
	void setType(const std::wstring& val);

	///	Returns the pickup's position.
	const TwoInts& getPosition() const {return position;};
	///	Returns the pickup's type.
	const std::wstring& getType() const {return type;};
  private:
	///	The pickup's position.
	TwoInts position;
	///	The pickup's type.
	std::wstring type;
};

#endif
