//	PlayerBullet.cpp - The player bullet.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "drawing/Drawer.h"
#include "PlayerBullet.h"

//------------------------------------------------------------------------------
PlayerBullet::PlayerBullet(const TwoFloats& pos):
position(pos)
{

}

//------------------------------------------------------------------------------
PlayerBullet::~PlayerBullet()
{

}

//------------------------------------------------------------------------------
void PlayerBullet::update(float delta)
{
	position.y += 4.0f * delta;
}

//------------------------------------------------------------------------------
void PlayerBullet::draw(shared_ptr<Drawer>& d)
{
	TwoFloats tempPos(position-16.0f);

	d->drawImage(L"Blob", tempPos, 0.5f);
	tempPos.x += 0.125f * 32.0f;
	tempPos.y -= 24.0f;
	d->drawImage(L"Blob", tempPos, 0.375f, 1.0f, 0.75f);
	tempPos.x += 0.125f * 32.0f;
	tempPos.y -= 16.0f;
	d->drawImage(L"Blob", tempPos, 0.25f, 1.0f, 0.5f);
	tempPos.x += 0.125f * 32.0f;
	tempPos.y -= 12.0f;
	d->drawImage(L"Blob", tempPos, 0.125f, 1.0f, 0.25f);
}
